varying	vec3 n; 
uniform sampler2D Texture0, Texture1, Texture2;

	uniform float ScrW;
	uniform float ScrH;	

void main (void)
{
vec2 ColorUV;
ColorUV.s= gl_FragCoord.x/ScrW-n.x*0.05 ;
ColorUV.t= gl_FragCoord.y/ScrH-n.z*0.05;


	vec4 color = texture2D( Texture0, gl_TexCoord[0].st);
	vec4 refle = texture2D( Texture2, ColorUV.st);

color.rgb *= refle.rgb;
color += texture2D( Texture1, gl_TexCoord[1].st);
color.a = 1.0;

	gl_FragColor =  color;
}